Subject: Ticket Assigned - Shocking service from MAX!!!!!!!!
From: Max <[email-masked]>
To: [email-masked]
Date: Sat, 19 Jun 2021 02:40:00 +0000

Hi Mohammed Murshed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Shocking service from MAX!!!!!!!! Good morning,

How on earth do I get someone to be of help to me from MAX!!?? You do not help over the phone or bother to respond to any facebook messages. Service is so shocking!!

I firstly had such a huge problem with my online order. It was meant to arrive last thursday with clothing for a weekend away. It only arrived on saturday late after my return. Nobody was able to help over the 5 phone calls I made during the last weekend.

And then I sent through a return request!! When will these items be collected and refunded!! How many years must I wait?

I am so disappointed!

My order number is: 9666230218

Will you even bother to reply?

Samantha!

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2695775